Subject: Re: powerpc/powernv: Call OPAL sync before kexec'ing

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 16 Jan 2014 12:02:52 +1100

On Thu, 2014-01-16 at 11:58 +1100, Michael Ellerman wrote:
> On Wed, 2014-01-15 at 17:02 +1100, Benjamin Herrenschmidt wrote:
> > From: Vasant Hegde <[email-masked]>
> >     
> > Its possible that OPAL may be writing to host memory during
> > kexec (like dump retrieve scenario). In this situation we might
> > end up corrupting host memory.
> 
> Are we happy with that happening during kdump? (which doesn't call any of the
> shutdown paths)

Obviously not ... There's a problem there. Not sure what the right fix
is. Might need some ifdef KDUMP to take over in the new driver.

Ben.